@charset 'utf-8';

/* 共通部分 */
html {
  font-size: 100%;
  /* スムーズスクロール */
  scroll-behavior: smooth;
}
body {
  color: #121212;
  font-weight: 300;
  line-height: 1.7;
}
section {
  /* スムーズスクロール */
  scroll-margin-top: 80px;
}
img {
  max-width: 100%;
  object-fit: cover;
}
li {
  list-style: none;
}
a {
  color: #121212;
  text-decoration: none;
}

.sec-title {
  font-size: 1.5rem;
  font-weight: 600;
  text-align: center;
}

/* フェードイン */
.fadein {
  opacity: 0;
}

/* Main */
.main {
  padding-top: 80px;
}

/* Header */
.header {
  position: fixed;
  z-index: 9998;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 20px 16px;
  background-color: #fff;
}
.header__logo {
  line-height: 1px;
}
.header__nav {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 300px;
  height: 100vh;
  padding: 60px 25px;
  background-color: #000000;
  font-size: .9rem;
  translate: -300px;
  opacity: 0;
  transition: all .5s;
}
.open .header__nav {
  translate: 0;
  opacity: 1;
}
.header__nav-item {
  padding: 20px 0;
  border-bottom: 1px solid #ffffff;
}
.header__nav-item:first-child {
  border-top: 1px solid #ffffff;
}
.header__nav-link,
.header__sns-link {
  color: #ffffff;
}
.header__sns-list {
  margin-top: 65px;
}
.header__sns-item {
  margin-bottom: 10px;
}
.header__toggle {
  position: fixed;
  top: 25px;
  right: 20px;
  z-index: 9999;
  width: 30px;
  height: 30px;
  cursor: pointer;
  transition: all .5s;
}
.header__toggle-line {
  position: absolute;
  width: 30px;
  height: 2px;
  background-color: #333;
  border-radius: 4px;
  transition: all .5s;
}
.header__toggle-line--top {
  top: 4px;
}
.header__toggle-line--middle {
  top: 14px;
}
.header__toggle-line--bottom {
  bottom: 4px;
}
.open .header__toggle-line {
  background-color: #ffffff;
}
.open .header__toggle-line--top {
  -webkit-transform: translateY(10px) rotate(-315deg);
  transform: translateY(10px) rotate(-315deg);
}
.open .header__toggle-line--middle {
  opacity: 0;
}
.open .header__toggle-line--bottom {
  -webkit-transform: translateY(-10px) rotate(315deg);
  transform: translateY(-10px) rotate(315deg);
}
.header__mask {
  display: none;
  transition: all .5s;
}
.open .header__mask {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: .8;
  z-index: 9998;
  cursor: pointer;
}

/* Video */
.video__background {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  object-position: center top;
}

/* Pickup */
.pickup {
  width: 100%;
  margin-top: 80px;
}
.swiper {
  margin-top: 20px;
  /* padding: 0 50px; */
  padding: 0 70px;
}
/* .swiper-slide {
  padding: 0 20px;
} */

/* Feature */
.feature {
  margin-top: 100px;
}
.feature__grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 26px;
  width: calc(100% - 32px);
  margin: 20px auto 0;
}
.feature__item {
  box-shadow: 0px 4px 4px 0 rgba(0, 0, 0, .25);
}
.feature__image {
  width: 100%;
}
.feature__item-content {
  padding: 16px;
}
.feature__category,
.feature__text,
.feature__date {
  margin-bottom: 20px;
}
.feature__category,
.feature__date {
  font-size: .75rem;
}
.feature__text {
  font-size: .9rem;
  font-weight: 600;
}
.feature__date {
  text-align: right;
}

/* Contact */
.contact {
  margin-top: 90px;
  padding: 50px 0;
  background-color: #121212;
  color: #ffffff;
}
.contact__content {
  width: calc(100% - 32px);
  margin: 0 auto;
  font-size: .9rem;
}
.contact__info {
  margin-top: 20px;
}
.contact__text {
  margin-bottom: 30px;
}
.contact__desc {
  margin-bottom: 20px;
}
.contact__input, 
.contact__textarea {
  width: 100%;
  padding: 12px;
  background-color: #ffffff;
}
.contact__submit {
  width: 100%;
  padding: 12px;
  background-color: #121212;
  color: #ffffff;
  border: 1px solid #ffffff;
  text-align: center;
}
.contact__submit:hover {
  color: #121212;
  background-color: #ffffff;
}

/* Footer */
.footer {
  padding: 10px;
  background-color: #121212;
  color: #ffffff;
  font-size: .75rem;
  text-align: center;
}

/* PC表示 */
@media (min-width: 600px) {
  /* 共通部分 */
  .sec-title {
    font-size: 2.25rem;
  }

  /* Header */
  .header {
    padding: 20px 40px;
  }
  .btn {
    right: 45px;
  }

  /* Video */
  .video__background {
    height: initial;
    max-height: 960px;
  }

  /* Pickup */
  .pickup {
    margin-top: 100px;
  }
  .swiper {
    margin-top: 30px;
    /* padding: 0 100px; */
    padding: 0 130px;
  }
  /* .swiper-slide {
    padding: 0 30px;
  } */

  /* Feature */
  .feature__grid {
    max-width: 1210px;
    margin: 30px auto 0;
  }
  .feature__item-content {
    padding: 30px;
  }

  /* Contact */
  .contact {
    margin-top: 60px;
  }
  .contact__content {
    display: flex;
    justify-content: space-between;
    max-width: 1210px;
    margin-top: 30px;
  }
  .contact__info {
    margin-top: 0;
  }
  .contact__info,
  .contact__form {
    width: 45%;
  }
  .contact__submit {
    width: 200px;
  }
}
